## org.eclipse.emf.spi.cdo
Class AbstractObjectConflictResolver.MergeLocalChangesPerFeature

    java.lang.Object
      org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
          org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge
              org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.MergeLocalChangesPerFeature

All Implemented Interfaces:
  CDOConflictResolver, CDOAdapterPolicy

Enclosing class:
  AbstractObjectConflictResolver

    public static class AbstractObjectConflictResolver.MergeLocalChangesPerFeature

extends AbstractObjectConflictResolver.ThreeWayMerge

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge
`AbstractObjectConflictResolver.ThreeWayMerge.ChangeSubscriptionAdapter`

Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
`AbstractObjectConflictResolver.MergeLocalChangesPerFeature, AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.view.CDOAdapterPolicy
`ALL, CDO, NONE`

Constructor Summary
`AbstractObjectConflictResolver.MergeLocalChangesPerFeature()`

Method Summary
`protected boolean` `hasFeatureConflicts(CDORevisionDelta localDelta, java.util.List<CDORevisionDelta> remoteDeltas)`
`protected void` `resolveConflict(CDOObject conflict, CDORevisionDelta localDelta, java.util.List<CDORevisionDelta> remoteDeltas)`

Methods inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge
`hookTransaction, isValid, resolveConflict, unhookTransaction`

Methods inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
`changeObject, getTransaction, readObject, resolveConflicts, rollbackObject, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractObjectConflictResolver.MergeLocalChangesPerFeature

    public AbstractObjectConflictResolver.MergeLocalChangesPerFeature()

Method Detail

### resolveConflict

    protected void resolveConflict(CDOObject conflict,
                                   CDORevisionDelta localDelta,
                                   java.util.List<CDORevisionDelta> remoteDeltas)

  Specified by:
    `resolveConflict` in class `AbstractObjectConflictResolver.ThreeWayMerge`

### hasFeatureConflicts

    protected boolean hasFeatureConflicts(CDORevisionDelta localDelta,
                                          java.util.List<CDORevisionDelta> remoteDeltas)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.